org.springframework.web.socket.sockjs

## Class SockJsTransportFailureException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.core.NestedRuntimeException
        - - org.springframework.web.socket.sockjs.SockJsException
          - - org.springframework.web.socket.sockjs.SockJsTransportFailureException

All Implemented Interfaces:
  Serializable

    public class SockJsTransportFailureException
    extends SockJsException

Indicates a serious failure that occurred in the SockJS implementation as opposed to in user code (e.g. IOException while writing to the response). When this exception is raised, the SockJS session is typically closed.

Since:
  4.0
Author:
  Rossen Stoyanchev
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`SockJsTransportFailureException(String message, String sessionId, Throwable cause)` Constructor for SockJsTransportFailureException.
`SockJsTransportFailureException(String message, Throwable cause)` Constructor for SockJsTransportFailureException.

### Method Summary

### Methods inherited from class org.springframework.web.socket.sockjs.SockJsException

`getSockJsSessionId`

### Methods inherited from class org.springframework.core.NestedRuntimeException

`contains, getMessage, getMostSpecificCause, getRootCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SockJsTransportFailureException

    public SockJsTransportFailureException(String message,
                                           @Nullable
                                           Throwable cause)

Constructor for SockJsTransportFailureException.

Parameters:
  `message` - the exception message
  `cause` - the root cause
Since:
  4.1.7

#### SockJsTransportFailureException

    public SockJsTransportFailureException(String message,
                                           String sessionId,
                                           @Nullable
                                           Throwable cause)

Constructor for SockJsTransportFailureException.

Parameters:
  `message` - the exception message
  `sessionId` - the SockJS session id
  `cause` - the root cause